#ifndef MERGEDIALOG_H
#define MERGEDIALOG_H

#include "BMergeDialog.h"

class QImage;
class QListViewItem;

#include <string>
#include "QueryHitEntry.h"

class MergeDialog : public BMergeDialog
{ 
    Q_OBJECT

 public:
    MergeDialog( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~MergeDialog();

    void updateSelected();
    void setFileSize(unsigned int size);

 private slots:
    void slotChangeValue();

 private:
    QImage*         _img;
    QImage*         _img_sel;
    unsigned int    _fsize;

 public:
    QueryHitEntry   _qhe;
    QListViewItem*  _item;
    QListViewItem*  _inter;
    std::string     _dest;
};

#endif // MERGEDIALOG_H
