#ifndef SEARCHVIEWITEM_H
#define SEARCHVIEWITEM_H

#include <qlistview.h>

class Connections;

class SearchViewItem : public QListViewItem
{
 public:
  SearchViewItem(QListView *parent, Connections* connections);
  SearchViewItem(QListView *parent, Connections* connections, QListViewItem *after);
  SearchViewItem(QListViewItem *parent, Connections* connections, QListView* search_list);

  QString key(int column, bool ascending) const;

  bool              _group_parent;

 private:
  Connections*      _connections;
  QListView*        _parent;
};

#endif
