#include "IconTabWidget.h"
#include "IconTabBar.h"
#include "QtellaSub.h"

#include <iostream>
#include <qtabbar.h>
#include <qtabwidget.h>
#include <qtabdialog.h>
#include <qiconset.h>
#include <qwidget.h>

IconTabWidget::IconTabWidget(QWidget *parent, const char *name)
  : QTabWidget(parent, name)
{
  _parent = (QtellaSub*)parent;

  setTabBar(new IconTabBar());
  connect(tabBar(), SIGNAL(iconPressed()), this, SIGNAL(iconPressed()));
  connect(this, SIGNAL(currentChanged(QWidget*)), SLOT(slotCurrentChanged(QWidget*)));
}

void IconTabWidget::slotCurrentChanged(QWidget* w)
{
  emit sigCurrentChanged(w);
  //_parent->slotCurrentChanged(w);
}
