#include "MergeDownloads.h"
#include "QtellaSub.h"

#include <fstream>
#include <iostream>

#include <qlineedit.h>

// _content[][0] = filename
// _content[][1] = start_range
// _content[][2] = end_range
// _content[][3] = filename
// ...

MergeDownloads::MergeDownloads()
{
  std::ifstream f( (getInterruptedDir() + std::string("/merge.dat")).c_str() );

  if( f )
    {
      char                         buffer[1024];
      std::vector<std::string>     tmp;
      bool                         group(false);

      while( f.getline(buffer, 1024) )
	{
	  std::string s(buffer);
	  
	  if( ! s.empty() )
	    if(s.substr(0, 8) == "</group>")
	      {
		_content.push_back(tmp);
		tmp.clear();
		group = false;
	      }
	    else
	      if(s.substr(0, 7) == "<group>")
		group = true;
	      else
		if(group)
		  tmp.push_back(s);
	}
    }
//   else
//     std::cerr << "Could not open " << getInterruptedDir() << "/merge.dat" << std::endl;
}


std::string MergeDownloads::getInterruptedDir()
{
  return std::string(QtellaSub::getInstance()->ui_lineedit_incompleted->text());
}
